## open-infrastructure-system-config 20161101

=== manpages/Makefile ===
# Makefile

## live-config(7) - System Configuration Components
## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
##
## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
## This is free software, and you are welcome to redistribute it
## under certain conditions; see COPYING for details.


SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

build: check po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be obtained from:"; \
		echo "I:   http://po4a.alioth.debian.org/"; \
		echo "I: On Debian based systems, po4a can be installed with:"; \
		echo "I:   apt-get install po4a"; \
		exit 1; \
	fi

	po4a --copyright-holder "Live Systems Project" --keep 0 --package-name live-config --package-version $(shell cat ../VERSION) po4a.cfg

clean:
	rm -rf $(LANGUAGES)

distclean: clean
	rm -f po4a.cfg

rebuild: distclean update build

check:
	@echo -n "Checking the integrity of .po files "

	@if [ -x /usr/bin/msgfmt ]; \
	then \
		for POFILE in po/*/*; \
		do \
			msgfmt --check --output-file=/dev/null $${POFILE}; \
			echo -n "."; \
		done; \
	else \
		echo "WARNING: skipping po integrity check. You must install gettext."; \
	fi
	
	@echo " done!"

## open-infrastructure-system-config 20160701

=== debian/changelog ===
open-infrastructure-system-config (20160701-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20160701: - Properly handling hwclock set to
    local time (Closes: #832815). - Fixing timezone configuration by
    dropping /etc/localtime (Closes: #832816). - Searching and reading
    live-config file(s) configuration from medium (live image or other
    device) in persistence mode (Closes: #832817). - Exporting variables
    set in config files (Closes: #832818). [...]
  * Adding gpg verification to watch file.
  * Updating upstream git location.
  * Updating vcs fields.
  * Removing manpage-linelength.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 29 Jul 2016 07:42:38 +0200

open-infrastructure-system-config (20160601-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20160601.
  * Adding provides system-config.
  * Updating homepage field.
  * Switching to debhelper compat 10.
  * Adding watch file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 03 Jun 2016 15:48:09 +0200

open-infrastructure-system-config (20160501-1) unstable; urgency=low

  * Initial upload to sid (Closes: #816415).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 08 May 2016 08:11:35 +0200

=== debian/control ===
Source: open-infrastructure-system-config
Section: admin
Priority: optional
Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends:
 debhelper (>= 9.20160402~),
 dh-systemd,
Build-Depends-Indep:
 lsb-release,
Standards-Version: 3.9.8
Homepage: https://open-infrastructure.net/software/system-config
Vcs-Browser: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-system-config
Vcs-Git: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-system-config

Package: open-infrastructure-system-config
Architecture: all
Depends:
 systemd,
 ${misc:Depends},
Recommends:
 dbus,
 iproute2 | iproute,
 keyboard-configuration,
 live-tools,
 locales | locales-all,
 sudo,
 user-setup,
Suggests:
 pciutils,
 wget,
Conflicts:
 live-config,
 live-config-doc,
 live-config-systemd,
 live-config-sysvinit,
Replaces:
 live-config,
 live-config-doc,
 live-config-systemd,
 live-config-sysvinit,
Provides:
 system-config,
Description: System integration for configuring a read-only root filesystem
 system-config provides the system integration for configuring a read-only root
 filesystem such as a live system.

## open-infrastructure-system-config 20161101-lts1

=== debian/changelog ===
open-infrastructure-system-config (20161101-lts1-2) unstable; urgency=low

  * Uploading to sid.
  * Using consistent email address for all downstream work.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 26 Jan 2017 18:00:57 +0100

open-infrastructure-system-config (20161101-lts1-1) unstable; urgency=high

  * Uploading to sid.
  * Merging upstream version 20161101-lts1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 31 Oct 2016 13:19:05 +0100

open-infrastructure-system-config (20161101-1) unstable; urgency=high

  * Uploading to sid.
  * Merging upstream version 20161101.
  * Removing live-tools recommends.
  * Updating debhelper build-depends for version 10.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 31 Oct 2016 11:11:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: open-infrastructure-system-config
 Section: admin
 Priority: optional
-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
+Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
- debhelper (>= 9.20160402~),
+ debhelper (>= 10),
  dh-systemd,
 Build-Depends-Indep:
  lsb-release,
@@ -21,7 +21,6 @@
  dbus,
  iproute2 | iproute,
  keyboard-configuration,
- live-tools,
  locales | locales-all,
  sudo,
  user-setup,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --parallel --with systemd

override_dh_auto_install:
	dh_auto_install

	# Using systemd instead of sysvinit
	rm -rf debian/*/etc/init.d
	rm -f debian/*/lib/live/config/*-sysvinit
	rm -f debian/*/lib/live/config/*-sysv-rc

	# Using user-setup instead of live-debconfig
	rm -f debian/tmp/live/config/*live-debconfig*

	# Removing unused files
	rm -rf debian/*/usr/share/doc/live-config
	rm -f debian/*/bin/live-config-update

override_dh_compress:
	dh_compress -Xusr/share/doc/open-infrastructure-system-config/examples

=== debian/watch ===
version=4
opts=pgpmode=auto https://files.open-infrastructure.net/software/system-config/upstream/system-config-(.+)\.tar\.xz
